.page {
  .borderCorner(5,5,5,5);
  padding: 10px;
  background-color: @white;
  box-shadow: @boxShadow;
  width: 100%;
  display: inline-block;
  margin-top: 25px;

  &-title {
    font-size: 22px;
    margin-bottom: 15px;
    padding-bottom: 15px;
    padding-top: 5px;
    border-bottom: 1px solid @border;
    display: inline-block;
    width: 100%;
  }

  &-content {
    font-size: 14px;
    line-height: 22px;
    display: inline-block;
    width: 100%;

    &.rules {
      ol {
        margin-bottom: 0;
        padding-left: 15px;

        li {
          padding-bottom: 10px;
          line-height: 22px;
          list-style-type: upper-roman;

          &:last-child {
            padding-bottom: 0;
          }

          strong {
            margin-bottom: 15px;
            display: inline-block;
          }

          ul {
            li {
              list-style-type: decimal;
              padding-bottom: 10px;
              line-height: 22px;

              strong {
                margin-bottom: 0;
              }

              ul {
                li {
                  list-style-type: lower-latin;
                  &:first-child {
                    padding-top: 10px;
                  }
                }
              }

            }
          }

        }

      }
    }

    &.account-settings {

      .input-title {
          width: 100%;
          display: inline-block;
          font-size: 14px;
          font-weight: 500;
          color: @text38;
          margin-bottom: 0;
          margin-top: 15px;

        &.alias,
        &.descriptions {
          margin-top: 0;
        }

      }

      .input-inline {


        #alias,
        #avatar,
        #background,
        #location,
        #website,
        #password {
          height: 40px;
          font-size: 14px;
        }

        #descriptions {
          font-size: 14px;
          height: 117px;
          resize: none;
        }




      }

      .update-content-footer {
        width: 100%;
        display: inline-block;
        border-top: 1px solid @border;
        margin-top: 25px;
        margin-bottom: 20px;
      }

      #submit-update-account {
        position: relative;
        outline: none;
      }

    }

  }

  &.account-transfer {

    .border(@radius: 3);
    display: none;
    background-color: @infoBackground;
    border: 1px solid darken(@infoBackground, 7%);
    box-shadow: none;
    color: @basePurple;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    width: 100%;
    padding-top: 17px;
    padding-bottom: 15px;
    margin-top: 25px;

    &:hover {
      .trans(0.2s);
      background-color:darken(@infoBackground, 5%);
      cursor: pointer;
    }

    &.active {
      display: inline-block;
    }

    .count {
      .border(@radius: 3);
      background-color: @basePurple;
      color: @white;
      display: inline-block;
      font-size: 12px;
      padding: 3px 6px;
      margin-left: 8px;
    }

  }

  &-info {
    font-size: 14px;
    width: 100%;
    margin-top: 5px;
    margin-bottom: 15px;

    &:last-child {
      margin-bottom: 0;
    }
  }

  &-content-new {
    &-link-form-submit {
      width: 100%;
      display: inline-block;
      margin-top: 20px;
      margin-bottom: 15px;

      #link {
        padding: 8px 12px;
        font-weight: 400;
        font-size: 14px;
      }

      #preview-link-submit {
        &:focus {
          outline: none;
        }
      }


    }
  }
  &-content-preview-text,
  &-content-preview {
    width: 100%;
    display: none;

    &.active {
      display: inline-block;
    }

    .content-left {
      width: 165px;
      display: inline-block;
      float: left;
      margin-right: 20px;

      .image-title {
        width: 100%;
        display: inline-block;
        font-size: 13px;
        font-weight: 500;
        color: @text38;
        margin-bottom: 5px;
      }

      .image-content {
        .borderCorner(3,3,3,3);
        overflow: hidden;
        width: 165px;
        height: 110px;
        position: relative;
        display: inline-block;
        float: left;
        background-position: center center;
        margin-right: 12px;

        &.blank {
          background-color: @sidebarBackground;
          overflow: hidden;
          position: relative;

          .fa {
            position: absolute;
            font-size: 115px;
            color: @text54;
            bottom: 3px;
            left: 30px;
            opacity: .25;
          }

        }

      }

      .input-title {
        width: 100%;
        display: inline-block;
        font-size: 12px;
        font-weight: 500;
        color: @text38;
        margin-bottom: 5px;
        margin-top: 15px;
      }
      .input-inline {
        width: 100%;
        display: inline-block;
        select {
          font-size: 14px;
          padding: 8px 12px;
          height: 40px;
        }
      }

    }

    .content-right {
      float: left;
      width: 640px;
    }

    .markdown-preview-title,
    .input-title {
      width: 100%;
      display: inline-block;
      font-size: 13px;
      font-weight: 500;
      color: @text38;
      margin-bottom: 5px;
    }
    .input-inline {
      width: 100%;
      display: inline-block;
    }

    #title,
    #description,
    #tags,
    #payout {
      font-size: 14px;
      font-weight: 400;
      padding: 8px 12px;
      height: 40px;
    }

    #title,
    #description {
      margin-bottom: 15px;
      padding-top: 15px;
    }
    #title {
      padding: 6px 12px;
    }
    .markdown-preview-text,
    #description {
      min-height: 110px;
      height: 110px;
      resize: none;
    }
    #payout {
      padding-left: 2px;
      font-size: 12px;
    }

    #submit-strimi-text,
    #clear-strimi-link,
    #submit-strimi-link {
      margin-top: 25px;
      &:focus {
        outline: none;
      }
    }

    #clear-strimi-text,
    #clear-strimi-link {
      font-size: 14px;
      color: @text38;
      font-weight: 500;
      float: left;
      margin-left: 188px;
      margin-top: 30px;
      &:hover {
        .trans(0.2s);
        color: @basePurple;
        cursor: pointer;
      }
    }


  }

  &-content-preview-text {
    display: inline-block;

    .markdown-preview-title {

    }
    .markdown-preview-text {
      .borderCorner(3,3,3,3);
      border: 1px solid @border;
      padding: 15px;
      margin-bottom: 20px;
      font-size: 14px;
      font-weight: 400;
      line-height: 22px;
      height: auto;
      overflow: hidden;

      img {
        .borderCorner(3,3,3,3);
        max-width: 35%;
      }

    }

    #payout,
    #nsfw {
      padding: 8px 12px;
      font-size: 14px;
      height: 40px;
    }

    #clear-strimi-text {
      margin-left: 0;
    }

  }

  &-tags-search-content,
  &-accounts-search-content{
    width: 100%;
    display: inline-block;
    margin-bottom: 15px;
  }


  .account-balances-single {
    width: 100%;
    display: inline-block;
    border-bottom: 1px solid lighten(@border, 50%);
    padding-bottom: 20px;
    margin-bottom: 20px;
    margin-top: 5px;

    &.steem-power {
      border-bottom: none;
      padding-bottom: 0;
      margin-bottom: 0;
    }

    &.delegations {
      margin-top: 10px;
      .value {
        font-size: 14px;
      }
    }

    &:first-child {
      margin-top: 10px;
      margin-bottom: 15px;
    }

    &:last-child {
      margin-bottom: 0;
      padding-bottom: 15px;
      border-bottom: none;
    }

    .name {
      font-size: 18px;
      font-weight: 500;
      display: inline-block;
      color: @basePurple;
    }
    .value {
      display: inline-block;
      float: right;
      font-size: 18px;
      color: @greenBase;
    }

  }


  &-users-ranking {

    table {
      thead {
        tr {

          span {
            &:hover,
            &.active:hover {
              .trans(@second: 0.2s);
              color: lighten(@greenBase, 5%);
              text-shadow: 1px 1px @white;
              cursor: pointer;
            }

            &.active {
              color: @greenBase;
              text-shadow: 1px 1px @white;
            }
          }



        }
      }
    }

    &-single {
      position: relative;
      padding-left: 35px;

      &-avatar {
        .borderCorner(3,3,3,3);
        position: absolute;
        background-color: @commentsAvatarBackground;
        background-position: center center;
        background-size: cover;
        width: 28px;
        height: 28px;
        display: inline-block;
        left: 0;
        top: -4px;
      }

    }



  }



}

.transfer-alert {
  .borderCorner(3,3,3,3);
  display: inline-block;
  width: 100%;
  background-color: @sidebarBackground;
  margin-top: 25px;
  padding: 10px;
  font-size: 13px;
  line-height: 18px;
  font-weight: 500;
}

.tags-next {
  display: inline-block;
  width: 100%;
  margin-top: 25px;
  margin-bottom: 10px;
}